﻿using System.Linq;

namespace BuildExplorer
{
    class CommandLine
    {
        public string CollectionUrl { get; set; }
        public string buildUri { get; set; }
        public bool ShowHelp { get; private set; }

        public CommandLine(string[] args)
        {
            foreach (string arg in args)
            {
                if (arg.StartsWith("/") || arg.StartsWith("-"))
                {
                    int colon = arg.IndexOf(':');
                    if (colon != -1)
                    {
                        CollectionUrl = arg.Substring(colon + 1, arg.Length - colon - 1);
                    }
                    continue;
                }

                buildUri = arg;
            }

            ShowHelp = args.Any() && (string.IsNullOrEmpty(CollectionUrl) || (string.IsNullOrEmpty(buildUri)));
        }

        public override string ToString()
        {
            return "CollectionUrl: " + CollectionUrl + "  buildUri: " + buildUri + "  ShowHelp: " + ShowHelp;
        }
    }
}
